OPENCV for Raspberry PI & CODESYS

2017-08-06
2021-04-14
  • Anonymous - 2017-10-08

    Originally created by: l3Tech1

    Any idea what I'd have to change to use a USB camera?
    Thanks!

     
  • paterad

    paterad - 2021-04-14

    Hello,
    I am having issues setting up the openCV on my raspberry Pi 4 running latest raspbian Buster.
    It is not possible to install described libopencv-dev ver 2.4.9.
    What was available was libopencv-dev-3.2.0+dfsg-6.

    But later it failed executing this command:

    pi@raspberrypi:~ $ sudo -s
    root@raspberrypi:/home/pi# cd /var/opt/codesys
    root@raspberrypi:/var/opt/codesys# dpkg -i codesys_raspi_opencv_V3.5.11.0.deb
    Selecting previously unselected package codesys-raspi-opencv.
    (Reading database ... 170070 files and directories currently installed.)
    Preparing to unpack codesys_raspi_opencv_V3.5.11.0.deb ...
    Stopping codesyscontrol daemon...
    codesyscontrol stopped
    License backup created
    Checking for v4l2 module...
    Checking fstab for tmpfs mount on /tmp...
    Adding component to /etc/CODESYSControl.cfg...
    preinst finished.
    Unpacking codesys-raspi-opencv (3.5.11.0) ...
    dpkg: dependency problems prevent configuration of codesys-raspi-opencv:
    codesys-raspi-opencv depends on libopencv-core2.4 (>= 2.4.9.1); however:
    Package libopencv-core2.4 is not installed.
    codesys-raspi-opencv depends on libopencv-highgui2.4 (>= 2.4.9.1); however:
    Package libopencv-highgui2.4 is not installed.
    codesys-raspi-opencv depends on libopencv-calib3d2.4 (>= 2.4.9.1); however:
    Package libopencv-calib3d2.4 is not installed.
    codesys-raspi-opencv depends on libopencv-imgproc2.4 (>= 2.4.9.1); however:
    Package libopencv-imgproc2.4 is not installed.

    dpkg: error processing package codesys-raspi-opencv (--install):
    dependency problems - leaving unconfigured
    Processing triggers for systemd (241-7~deb10u6+rpi1) ...
    Errors were encountered while processing:
    codesys-raspi-opencv
    root@raspberrypi:/var/opt/codesys#

    It is driving me nuts that there are no updates of this official codesys document.
    Or have I been searching wrong?

    Thanks

     
    • i-campbell

      i-campbell - 2021-04-14

      Hello, you are right that it is very difficult to install that version. In fact I do not know how to do that. Unfortunately later versions of openCV are not written in C and so are not compatible. Therefore there is the new OpenCV CODESYS Example 2, which works even without a Pi https://forge.codesys.com/prj/codesys-example/opencv-example2/
      I have not used the new example, so if you write a blog or something about how you found it, I would be interested to read this.

      Or have I been searching wrong?

      It was released just last month, so it is possible you searched correctly one month ago and got no results. All new examples are being released here on forge and no longer in store.

       

Log in to post a comment.